Valeurs PHP que vous ne pouvez changé

Valeurs PHP qui ne peuvent pas être modifiées pour les hébergements mutualisés

PHP a été configuré pour utiliser les valeurs suivantes pour nos hébergements mutualisés :

  • safe mode = Off (ne peut pas être ajusté)
  • memory_limit = 256M (MAXIMUM)
  • max_execution_time = 30 (MAXIMUM)
  • max_input_time = 60 (MAXIMUM)
  • post_max_size = 64M (MAXIMUM)
  • upload_max_filesize = 64M (MAXIMUM)
  • enable_dl = Off (ne peut pas être ajusté)

Ces valeurs ne peuvent pas être modifiées ou dépassées pour nos hébergements mutualisés. Cela est nécessaire pour éviter l'utilisation excessive des ressources dans un environnement partagé. Dans la plupart des cas, la plupart des scripts PHP fonctionneront dans ces limites. Les scripts qui nécessitent plus de ressources devront utiliser un serveur dédié ou un VPS.

Pour les serveurs dédiés ou VPS, ces valeurs peuvent être modifiées pour répondre aux besoins des scripts PHP.

Nous avons également fixé les valeurs suivantes pour PHP :

  • register_globals = On
  • magic_quotes_gpc = Off

Ces deux valeurs et toutes les autres non mentionnées peuvent être modifiées en utilisant un fichier php.ini personnalisé situé dans le même dossier que le script qui nécessite ces modifications.

  • 0 Utilisateurs l'ont trouvée utile
Cette réponse était-elle pertinente?

Articles connexes

Erreur de serveur interne 500

L'erreur 500 (Internal Server Error) est un code d'erreur courant qui se produit lorsqu'un...

Les ports fréquemment utilisés

Interface administrative de Plesk via HTTPS : TCP 8443 Interface administrative de Plesk via...

Modules PHP

Modules PHP Nous avons installé les modules PHP suivants sur nos serveurs. Si vous constatez que...

Mon script doit utiliser l'accès 0777

Les permissions d'accès 0777 à éviter Raisons de sécurité Les permissions 0777 pour les...

C'est quoi php.ini ?

PHP.ini est un fichier de configuration pour PHP, un langage de programmation largement utilisé...